package com.younike.common.core.page;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.io.Serializable;

/**
 * @author OldMa
 * @version 1.0.0
 * @ClassName PageDto.java
 * @Description TODO
 * @createTime 2021年06月29日 14:36:00
 */
public class PageParam<T> extends Page<T> implements Serializable {
    //入参
    private T param;

    public PageParam() {
    }

    public PageParam(long current, long size) {
        this.current = current;
        this.size = size;
    }

    public PageParam(long current, long size,T t) {
        this.current = current;
        this.size = size;
        this.param = t;
    }


    public T getParam() {
        return param;
    }

    public void setParam(T param) {
        this.param = param;
    }
}
